# View Hierarchy

View Hierarchy is disabled by default; however, if you would like to have it enabled, you can do so by adding the API found below.

This feature gives you the ability to visually inspect each layer in your app and see all the properties and constraints of each subview so you can spot errors at a glance. This helps out in the process of finding the problem and fixing it faster. Any editable text or text fields will automatically be replaced with asterisks.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.shouldCaptureViewHierarchy = true
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.shouldCaptureViewHierarchy = YES;
```

{% endtab %}

{% tab title="And - Java" %}

```java
new Luciq.Builder(this, "APP_TOKEN")
    .setViewHierarchyState(Feature.State.ENABLED)
    .build();
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.Builder(this, "c626fd74f74eb721f1ab9c41478cf46f")
            .setViewHierarchyState(Feature.State.DISABLED)
            .build()
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.setViewHierarchyEnabled(true);
```

{% endtab %}
{% endtabs %}

*Example: If you receive a report that a certain UI view is missing, you can use View Hierarchy to easily discover if the missing view is hidden behind a higher layer, out of the parent view's bounds, or missing from the window.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/report-data/view-hierarchy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
